> ## Documentation Index
> Fetch the complete documentation index at: https://kardow.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List CMS Items

> Paginated list of items in a collection.

By default returns up to 50 items. Use `limit` and `offset` for paging
(maximum `limit` is 500). Filter on the `status` field to see drafts or
items pending moderation.

## Example

```bash theme={null}
curl "https://api.kardow.com/cms/sponsors?status=published&limit=100" \
  -H "x-api-key: $KARDOW_API_KEY"
```


## OpenAPI

````yaml GET /cms/{slug}
openapi: 3.1.0
info:
  title: Kardow Public API
  description: Public API for jobs and member automation on Kardow.
  version: 1.0.0
  contact:
    name: Kardow Support
    email: support@kardow.com
    url: https://kardow.com
servers:
  - url: https://api.kardow.com
    description: Production API
security:
  - ApiKeyAuth: []
paths:
  /cms/{slug}:
    get:
      tags:
        - CMS
      summary: List CMS Items
      description: List items inside a CMS collection.
      operationId: listCmsItems
      parameters:
        - name: slug
          in: path
          required: true
          schema:
            type: string
        - name: status
          in: query
          required: false
          schema:
            type: string
            enum:
              - draft
              - pending_review
              - published
              - expired
              - archived
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 50
            maximum: 500
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/CmsItem'
                  total:
                    type: integer
                  limit:
                    type: integer
                  offset:
                    type: integer
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '404':
          $ref: '#/components/responses/NotFoundError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CmsItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
        data:
          type: object
          additionalProperties: true
        status:
          type: string
        source:
          type: string
          enum:
            - manual
            - payment
            - api
            - import
        starts_at:
          type: string
          format: date-time
          nullable: true
        expires_at:
          type: string
          format: date-time
          nullable: true
        position:
          type: integer
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    ErrorEnvelope:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            code:
              type: string
            details: {}
            url:
              type: string
          required:
            - message
            - code
      required:
        - error
  responses:
    UnauthorizedError:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    NotFoundError:
      description: Not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key for authentication. Get yours from Settings > API Keys in the
        Kardow dashboard.

````